import request from '@/utils/request'
import Qs from 'qs';

//获取测温记录
export function getRecordList(params) {
	return request({
		url: '/mobile/PersonDeviceFilterLog/pageList',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//获取信息记录
export function getTemperatureInfo(params) {
	return request({
		url: '/mobile/PersonDeviceFilterLog/detail',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//获取健康证详情
export function getCertDetail(params) {
	return request({
		url: '/mobile/IndividualLogApi/temperaturePersonDetail',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//获取健康证记录
export function getCertList(params) {
	return request({
		url: '/mobile/IndividualLogApi/temperaturePersonCurve',
		data: Qs.stringify(params),
		method: 'post',
	})
}

//获取健康码
export function getGreenCode(personId) {
	return request({
		url: '/mobile/IndividualLogApi/getGreenCode',
		data: Qs.stringify({
			personId: personId
		}),
		method: 'post',
	})
}

//获取健康码
export function getGreenCodeByName(name,idCard) {
	return request({
		url: '/mobile/IndividualLogApi/getGreenCodeByName',
		data: Qs.stringify({
			name: name,
			idCard: idCard
		}),
		method: 'post',
	})
}
